VERSION 5.00
Begin VB.Form frmReciept 
   Caption         =   "Reciept Viewer"
   ClientHeight    =   2910
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   2685
   LinkTopic       =   "Form1"
   ScaleHeight     =   2910
   ScaleWidth      =   2685
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command4 
      Caption         =   "Close"
      Height          =   330
      Left            =   1620
      TabIndex        =   5
      Top             =   2445
      Width           =   900
   End
   Begin VB.CommandButton Command3 
      Caption         =   "View Reciept"
      Height          =   330
      Left            =   120
      TabIndex        =   4
      Top             =   2445
      Width           =   1410
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Previous"
      Height          =   270
      Left            =   930
      TabIndex        =   3
      Top             =   1965
      Width           =   780
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Next"
      Height          =   270
      Left            =   1755
      TabIndex        =   2
      Top             =   1965
      Width           =   780
   End
   Begin VB.PictureBox picSig 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00FFFFFF&
      Height          =   1455
      Left            =   120
      ScaleHeight     =   93
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   156
      TabIndex        =   0
      Top             =   465
      Width           =   2400
   End
   Begin VB.Label lblName 
      Height          =   240
      Left            =   855
      TabIndex        =   6
      Top             =   165
      Width           =   1695
   End
   Begin VB.Label Label1 
      Caption         =   "Customer:"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   165
      Width           =   1740
   End
End
Attribute VB_Name = "frmReciept"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Type SigPoint
    X As Long
    Y As Long
End Type
Const PENUP As Long = &HFFFF

Private Sub Command1_Click()
    PDBMoveNext dbSignatures
    ShowData
End Sub

Private Sub Command2_Click()
    PDBMovePrev dbSignatures
    ShowData
End Sub

Private Sub Command3_Click()
    SavePicture picSig.Image, "c:\temp\sig.bmp"
    'open example reciept into browser
    Shell "c:\program files\internet explorer\iexplore.exe c:\book\chap2\code\ex6\reciept.html", vbNormalFocus
End Sub

Private Sub Command4_Click()
    Unload Me
    PDBClose dbSignatures
End Sub

Private Sub Form_Activate()
    ShowData
End Sub

Private Sub Form_Load()
    Dim bSuccess As Boolean
    
    bSuccess = OpenSignaturesDatabase
    If bSuccess Then
        PDBMoveFirst (dbSignatures)
    Else
        Me.Caption = "Reciept Viewer - No Data"
    End If
    
End Sub
Public Sub ShowData()
    Dim bSuccess As Boolean
    Dim sig As tSignaturesRecord
    
    If Not PDBBOF(dbSignatures) Then
        bSuccess = ReadSignaturesRecord(sig)
        If bSuccess Then
            lblName.Caption = sig.Name
            RenderSignature sig.Signature
        End If
    End If
End Sub
Public Sub RenderSignature(ByVal SigData As String)
'This is the recommended way to render on
'picture control by AppForge
    Dim I As Long
    Dim lLength As Long
    Dim udtPoint As SigPoint
    Dim udtOldPoint As SigPoint
    
    lLength = Len(SigData)
    picSig.Cls
    
    'set point to start values
    udtOldPoint.X = -1
    udtOldPoint.Y = -1
    
    For I = 1 To lLength
        udtPoint.X = AscW(Mid(SigData, I, 1))
        'if pen is down then render point
        If udtPoint.X <> PENUP Then
            I = I + 1
            udtPoint.Y = AscW(Mid(SigData, I, 1))
            If udtOldPoint.X <> -1 Then
                picSig.Line (udtOldPoint.X, udtOldPoint.Y)-(udtPoint.X, udtPoint.Y)
            End If
            udtOldPoint = udtPoint
        Else 'catch next pen down point
            If udtOldPoint.X <> -1 Then
                picSig.PSet (udtOldPoint.X, udtOldPoint.Y)
            End If
            udtOldPoint.X = -1
            udtOldPoint.Y = -1
        End If
    Next I
End Sub

