VERSION 5.00
Object = "{1A028BB9-0262-48D8-9B67-D74CE4C2A7E8}#2.0#0"; "IngotTextBoxCtl.dll"
Object = "{B671DAA2-FC97-499C-B9A7-0549F8958881}#2.0#0"; "IngotListBoxCtl.dll"
Object = "{BAE83016-CA11-4D8A-BBFA-0AE9863B82DE}#2.0#0"; "IngotLabelCtl.dll"
Begin VB.Form Phone 
   BackColor       =   &H00FFFFFF&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Phone Numbers"
   ClientHeight    =   2400
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2400
   BeginProperty Font 
      Name            =   "AFPalm"
      Size            =   9
      Charset         =   2
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   160
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   160
   StartUpPosition =   2  'CenterScreen
   Begin IngotListBoxCtl.AFListBox lstRecords 
      Height          =   975
      Left            =   120
      OleObjectBlob   =   "Phone.frx":0000
      TabIndex        =   0
      Top             =   270
      Width           =   2175
   End
   Begin IngotTextBoxCtl.AFTextBox txtRegion 
      Height          =   165
      Left            =   600
      OleObjectBlob   =   "Phone.frx":0040
      TabIndex        =   1
      Top             =   1440
      Width           =   1575
   End
   Begin IngotLabelCtl.AFLabel AFLabel1 
      Height          =   285
      Left            =   0
      OleObjectBlob   =   "Phone.frx":0098
      TabIndex        =   2
      Top             =   1440
      Width           =   555
   End
   Begin IngotLabelCtl.AFLabel AFLabel2 
      Height          =   165
      Left            =   0
      OleObjectBlob   =   "Phone.frx":00E0
      TabIndex        =   3
      Top             =   1740
      Width           =   555
   End
   Begin IngotLabelCtl.AFLabel AFLabel3 
      Height          =   165
      Left            =   0
      OleObjectBlob   =   "Phone.frx":012A
      TabIndex        =   4
      Top             =   2040
      Width           =   555
   End
   Begin IngotTextBoxCtl.AFTextBox txtPhone 
      Height          =   165
      Left            =   600
      OleObjectBlob   =   "Phone.frx":0171
      TabIndex        =   5
      Top             =   1740
      Width           =   1575
   End
   Begin IngotTextBoxCtl.AFTextBox txtAttributes 
      Height          =   165
      Left            =   600
      OleObjectBlob   =   "Phone.frx":01C9
      TabIndex        =   6
      Top             =   2040
      Width           =   1575
   End
End
Attribute VB_Name = "Phone"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

' Phone.frm
' Copyright 2001 - Matthew J. Holmes

Option Explicit

Private db As Long

Private Type PhoneRecord
    Region As String
    PhoneNo As String
    Attributes As String
End Type

Private Sub Form_Load()

    Dim rec As PhoneRecord
    
    db = PDBOpen(ByTypeCreator, "PhoneDB", 0, 0, Id2Long("DATA"), Id2Long("tISP"), afModeReadOnly)
    If db = 0 Then MsgBox "Couldn't open PhoneDB database!"
    
    While Not PDBEOF(db)
        PDBReadRecord db, VarPtr(rec)
        lstRecords.AddItem rec.Region
        PDBMoveNext db
    Wend
End Sub

Private Sub lstRecords_Click()

    Dim rec As PhoneRecord
    
    PDBGotoIndex db, lstRecords.ListIndex
    PDBReadRecord db, VarPtr(rec)
    
    txtRegion.Text = rec.Region
    txtPhone.Text = rec.PhoneNo
    txtAttributes.Text = rec.Attributes
End Sub

Private Function Id2Long(Id As String) As Long

    Dim i As Integer
    Dim value As Long
  
    For i = 1 To Len(Id)
        value = value * 256 + Asc(Mid(Id, i, 1))
    Next i
    
    Id2Long = value
End Function
